Bug 126732 - kernel-2.6.6-1.435smp complete lockup + call trace
kernel-2.6.6-1.435smp complete lockup + call trace
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-25 10:00 EDT by Bernd Bartmann
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:12:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete contents of /var/log/messages (35.71 KB, text/plain)
2004-06-25 10:01 EDT, Bernd Bartmann
no flags Details
output of cat /proc/cpuinfo (914 bytes, text/plain)
2004-06-25 10:01 EDT, Bernd Bartmann
no flags Details
output of lspci -vvv (11.33 KB, text/plain)
2004-06-25 10:02 EDT, Bernd Bartmann
no flags Details
Another output of /var/log/messages (6.44 KB, text/plain)
2004-06-26 06:38 EDT, Bernd Bartmann
no flags Details
Yet another call trace (3.29 KB, text/plain)
2004-06-26 08:20 EDT, Bernd Bartmann
no flags Details
another lscpi -vvv (9.64 KB, text/plain)
2004-07-01 15:40 EDT, Daren Trowbridge
no flags Details

  None (edit)
Description Bernd Bartmann 2004-06-25 10:00:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
kernel-2.6.6-1.435smp sometimes locks hard on my system. I found a
call trace in /var/log/messages:

Jun 24 20:42:58 riker kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Jun 24 20:42:58 riker kernel:  printing eip:
Jun 24 20:42:58 riker kernel: 00000000
Jun 24 20:42:58 riker kernel: *pde = 00003001
Jun 24 20:42:58 riker kernel: Oops: 0000 [#1]
Jun 24 20:42:58 riker kernel: SMP
Jun 24 20:42:58 riker kernel: Modules linked in: tuner tvaudio msp3400
bttv video_buf i2c_algo_bit v4l2_common btcx_risc i2c_core videodev
snd_mixer_oss snd_intel8x0 snd_ac97_codec snd_pcm snd_timer
snd_page_alloc gameport snd_mpu401_uart snd_rawmidi snd_seq_device snd
soundcore parport_pc lp parport autofs4 nfs lockd rfcomm l2cap
bluetooth sunrpc e1000 floppy sg microcode dm_mod joydev uhci_hcd
ehci_hcd button battery asus_acpi ac ipv6 ext3 jbd ata_piix libata
aic7xxx sd_mod scsi_mod
Jun 24 20:42:58 riker kernel: CPU:    0
Jun 24 20:42:58 riker kernel: EIP:    0060:[<00000000>]    Not tainted
Jun 24 20:42:58 riker kernel: EFLAGS: 00210202   (2.6.6-1.435smp)
Jun 24 20:42:58 riker kernel: EIP is at 0x0
Jun 24 20:42:58 riker kernel: eax: 6bb9aa80   ebx: 18000414   ecx:
00000000   edx: 7ab5f080
Jun 24 20:42:58 riker kernel: esi: 00000145   edi: 814c67a0   ebp:
0000000c   esp: 7a875f48
Jun 24 20:42:58 riker kernel: ds: 007b   es: 007b   ss: 0068
Jun 24 20:42:58 riker kernel: Process gnome-panel (pid: 3664,
threadinfo=7a875000 task=708b1390)
Jun 24 20:42:58 riker kernel: Stack: 0224f22e 6bb9aa80 02161de9
7a875f74 00000017 814c6738 7fffffff 7a875fa0
Jun 24 20:42:58 riker kernel:        814c6738 02161e6d 7a875f78
00000000 00000001 00000000 814c6738 7fffffff
Jun 24 20:42:58 riker kernel:        00000017 02161fe1 7fffffff
814c6738 fffffff4 78edd3a8 0216156b 66e54000
Jun 24 20:42:58 riker kernel: Call Trace:
Jun 24 20:42:58 riker kernel:  [<0224f22e>] sock_poll+0x12/0x14
Jun 24 20:42:58 riker kernel:  [<02161de9>] do_pollfd+0x49/0x83
Jun 24 20:42:58 riker kernel:  [<02161e6d>] do_poll+0x4a/0xa6
Jun 24 20:42:58 riker kernel:  [<02161fe1>] sys_poll+0x118/0x1be
Jun 24 20:42:58 riker kernel:  [<0216156b>] __pollwait+0x0/0x95
Jun 24 20:42:58 riker kernel:  [<021520b7>] sys_read+0x2c/0x42
Jun 24 20:42:59 riker kernel:
Jun 24 20:42:59 riker kernel: Code:  Bad EIP value.
Jun 24 20:52:52 riker kernel:  <1>Unable to handle kernel paging
request at virtual address df27a0f0
Jun 24 20:52:52 riker kernel:  printing eip:
Jun 24 20:52:52 riker kernel: 39c0000b
Jun 24 20:52:52 riker kernel: *pde = 00000000
Jun 24 20:52:52 riker kernel: Oops: 0002 [#2]
Jun 24 20:52:52 riker kernel: SMP


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. use sound and tv and wait some time for the system to lockup
2.
3.
    

Additional info:
Comment 1 Bernd Bartmann 2004-06-25 10:01:20 EDT
Created attachment 101407 [details]
complete contents of /var/log/messages
Comment 2 Bernd Bartmann 2004-06-25 10:01:42 EDT
Created attachment 101408 [details]
output of cat /proc/cpuinfo
Comment 3 Bernd Bartmann 2004-06-25 10:02:03 EDT
Created attachment 101409 [details]
output of lspci -vvv
Comment 4 Bernd Bartmann 2004-06-26 06:37:48 EDT
Today my system locked-up again. It seems to be related to either
audio or bttv as the lock-up happened when I tried to change to
another TV channel in xawtv. I'll attach new /var/log/messages info. 
Comment 5 Bernd Bartmann 2004-06-26 06:38:25 EDT
Created attachment 101435 [details]
Another output of /var/log/messages
Comment 6 Bernd Bartmann 2004-06-26 08:20:57 EDT
Created attachment 101436 [details]
Yet another call trace
Comment 7 Daren Trowbridge 2004-07-01 15:40:04 EDT
Created attachment 101568 [details]
another lscpi -vvv
Comment 8 Richard Lee 2004-07-16 18:28:24 EDT
I have a similar problem using the 435 and 435.2.3 smp kernels, but it
happens immediately on boot.
Comment 9 Dave Jones 2004-11-27 15:21:30 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 10 Bernd Bartmann 2004-11-30 05:54:54 EST
I can't reproduce the problem anymore on FC3 kernel-2.6.9-1.681_FC3smp.
Comment 11 Dave Jones 2005-04-16 00:12:22 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.